OpenNMS API 1.2.9

## org.opennms.web.admin.nodeManagement
Class SnmpGetNodesServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.admin.nodeManagement.SnmpGetNodesServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class SnmpGetNodesServlet
extends javax.servlet.http.HttpServlet

A servlet that handles querying the database for node, interface, service combinations for use in setting up SNMP data collection per interface

Author:
  Tarus Balog , OpenNMS
See Also:
  Serialized Form

Field Summary
`private static java.lang.String` `NODE_QUERY`
`private static java.lang.String` `SNMP_SERVICE_QUERY`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`SnmpGetNodesServlet()`

Method Summary
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`private java.util.List` `getAllNodes(javax.servlet.http.HttpSession userSession)`
`void` `init()`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SNMP_SERVICE_QUERY

    private static final java.lang.String SNMP_SERVICE_QUERY

See Also:
  Constant Field Values

### NODE_QUERY

    private static final java.lang.String NODE_QUERY

See Also:
  Constant Field Values

Constructor Detail

### SnmpGetNodesServlet

    public SnmpGetNodesServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getAllNodes

    private java.util.List getAllNodes(javax.servlet.http.HttpSession userSession)
                                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.